<?php require_once('Connections/conn.php'); ?>
<?php
 session_start();
 if (!isset($_SESSION['MM_Username'])) {
      header ("Location: modulos/inicio/index.php");
	  }
 // Captura la c�dula del usuario inici� sesi�n.	  
 $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
 $sede_usuario=$_SESSION['SEDE_USUARIO'];

 // Captura los datos que vienen de pagar_inscripcion.php
 $id_carrera = $_GET["id_carrera"];
 $cedula     = $_GET["cedula"];
 $id_sede    = $_GET["id_sede"];
 $id_periodo = $_GET["id_periodo"];
 $modulo     = $_GET["modulo"];
 $beca=$_GET["beca"];
 
  mysql_select_db($database_conn, $conn);
 mysql_query ("SET NAMES 'utf8'");
 // Obtiene el nombre del Programa.
 $sql = "select nombre_carrera from carreras where id_carrera='$id_carrera'";
 $rs=mysql_query($sql, $conn);
 $row = mysql_fetch_assoc($rs);	
 $reg=mysql_num_rows($rs);		
 if ($reg != 0){
	 $nombre_carrera=$row["nombre_carrera"];
  }
  
  // Obtiene el código del Período
 $sql = "select codigo from periodos where id_periodo='$id_periodo'";
 $rs=mysql_query($sql, $conn);
 $row = mysql_fetch_assoc($rs);	
 $reg=mysql_num_rows($rs);		
 if ($reg != 0){
	 $codigo=$row["codigo"];
  }


 // Obtiene el ID del alumno (id_alumno)
 $sql = "select id_alumno from alumnos where cedula='$cedula'";
 $rs=mysql_query($sql, $conn);
 $row = mysql_fetch_assoc($rs);	
 $reg=mysql_num_rows($rs);		
 if ($reg != 0){
	 $id_alumno=$row["id_alumno"];
  }
  

  // Determina si el participante ya pago su matricula en el lapso seleccionado.
$sqlPagos = "SELECT * FROM pagos WHERE id_alumno='$id_alumno' and carrera='$id_carrera' and id_periodo='$id_periodo' and status='ACTIVO' AND (codigo_pago='01-01' or codigo_pago='01-02' or codigo_pago='06-01')";
$rsPagos = mysql_query($sqlPagos, $conn) or die(mysql_error());
$regPagos=mysql_num_rows($rsPagos);
if ($regPagos>0) {
 ?>
	 <script type="text/javascript">
	    msj="Participante ya pagó la Matrícula del programa <?php echo $nombre_carrera ?> del Lapso <?php echo $codigo ?>";
	 	alert(msj);
	 </script>
	 <?php
	 return;
}   

$sf=0;
// Determina si el participante está moroso en el programa que se quiere inscribir.
$sql_morosidad = "SELECT saldo_favor,situacion, deuda, pagos, id_sede,cuota1+cuota2+cuota3 AS deuda FROM deudas WHERE id_alumno='$id_alumno' and id_carrera='$id_carrera'";
$rs_morosidad = mysql_query($sql_morosidad, $conn) or die(mysql_error());
$row_morosidad = mysql_fetch_assoc($rs_morosidad);
$reg_morosidad=mysql_num_rows($rs_morosidad);
$deuda=$row_morosidad['deuda'];
$sf=$row_morosidad['saldo_favor'];
if ($deuda>0) {
 header ("location: calcula_morosidad.php?id_alumno=$id_alumno&id_carrera=$id_carrera");
}   

 
 // Busca el nombre de la Sede.
 $sql1 = "SELECT nombre_sede,siglas FROM sedes WHERE codigo='$id_sede'";
 $rst1 = mysql_query($sql1, $conn) or die(mysql_error());
 $row1 = mysql_fetch_assoc($rst1);
 $nombre_sede=$row1['nombre_sede'];
 $sigla_sede=$row1['siglas'];

  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- pagos</title>
<meta name="generator" http-equiv="content-type" content="text/html">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .style2 {
	color: #004080;
	font-family: Arial;
	font-size: 12px;
   }
</style>
<script src="jquery.min.js" type="text/javascript"></script>
</head>
<script>
$(document).ready(function(){
	$("#id_alumno").change(function(){
		$.post("carga_carreras_alumno.php",{ id:$(this).val() },function(data){$("#id_carrera").html(data);})
	});
	$("#id_carrera").change(function(){
		$.post("carga_sedes_alumno.php",{ id:$(this).val(),c:$("#id_alumno").val() },function(data){$("#sede").html(data);})
	});
})
</script>
<body>
<table class="bd" width="100%"><tr><td class="hr"><h2>Pago de Inscripci&oacute;n (Regulares)</h2></td></tr></table>
<?php
  $conn = connect();
  $showrecs = 10;
  $pagerange = 10;

  $a = @$_GET["a"];
  $recid = @$_GET["recid"];
  $page = @$_GET["page"];
  if (!isset($page)) $page = 1;

  $sql = @$_POST["sql"];
  
  $pago_por_cuotas = @$_POST["pago_por_cuotas"];
  $pago_unico = @$_POST["pago_unico"];
  $matricula = @$_POST["matricula"];
 

  switch ($sql) {
    case "insert":
      sql_insert($matricula, $pago_por_cuotas,$pago_unico);
      break;
    case "update":
      sql_update();
      break;
    case "delete":
      sql_delete();
      break;
  }

  switch ($a) {
    case "add":
      addrec($cedula_usuario);
      break;
    case "view":
      viewrec($recid);
      break;
    case "edit":
      editrec($recid);
      break;
    case "del":
      deleterec($recid);
      break;
    default:
      select();
      break;
  }

  if (isset($order)) $_SESSION["order"] = $order;
  if (isset($ordtype)) $_SESSION["type"] = $ordtype;
  if (isset($filter)) $_SESSION["filter"] = $filter;
  if (isset($filterfield)) $_SESSION["filter_field"] = $filterfield;
  if (isset($wholeonly)) $_SESSION["wholeonly"] = $wholeonly;

  mysql_close($conn);
?>
<table class="bd" width="100%"><tr><td class="hr"></td></tr></table>
</body>
</html>

<?php
 function select()
  {
  global $a;
  global $showrecs;
  global $page;
  global $filter;
  global $filterfield;
  global $wholeonly;
  global $order;
  global $ordtype;


  if ($a == "reset") {
    $filter = "";
    $filterfield = "";
    $wholeonly = "";
    $order = "";
    $ordtype = "";
  }
 

  $checkstr = "";
  if ($wholeonly) $checkstr = " checked";
  if ($ordtype == "asc") { $ordtypestr = "desc"; } else { $ordtypestr = "asc"; }
  $res = sql_select();
  $count = sql_getrecordcount();
  if ($count % $showrecs != 0) {
    $pagecount = intval($count / $showrecs) + 1;
  }
  else {
    $pagecount = intval($count / $showrecs);
  }
  $startrec = $showrecs * ($page - 1);
  if ($startrec < $count) {mysql_data_seek($res, $startrec);}
  $reccount = min($showrecs * $page, $count);
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">

<tr><td>Pagos Registrados <?php echo $startrec + 1 ?> - <?php echo $reccount ?> de <?php echo $count ?></td></tr>
</table>
<hr size="1" noshade>
<form action="pago_inscripcion_regular.php" method="post">
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><b>Filtrar por</b>&nbsp;</td>
<td><input type="text" name="filter" value="<?php echo $filter ?>"></td>
<td><select name="filter_field">
<option value="">Todos los Campos</option>
<option value="<?php echo "recibo_ulac" ?>"<?php if ($filterfield == "recibo_ulac") { echo "selected"; } ?>><?php echo htmlspecialchars("N� de Recibo") ?></option>
<option value="<?php echo "nro_comprobante" ?>"<?php if ($filterfield == "nro_comprobante") { echo "selected"; } ?>><?php echo htmlspecialchars("N� Comprobante") ?></option>
<option value="<?php echo "concepto_pago" ?>"<?php if ($filterfield == "concepto_pago") { echo "selected"; } ?>><?php echo htmlspecialchars("Concepto") ?></option>
<option value="<?php echo "monto" ?>"<?php if ($filterfield == "monto") { echo "selected"; } ?>><?php echo htmlspecialchars("Monto") ?></option>
<option value="<?php echo "nombre_alumno" ?>"<?php if ($filterfield == "nombre_alumno") { echo "selected"; } ?>><?php echo htmlspecialchars("Alumno") ?></option>
<option value="<?php echo "nombre_sede" ?>"<?php if ($filterfield == "nombre_sede") { echo "selected"; } ?>><?php echo htmlspecialchars("nombre_sede") ?></option>
<option value="<?php echo "conformado" ?>"<?php if ($filterfield == "conformado") { echo "selected"; } ?>><?php echo htmlspecialchars("Conformado") ?></option>
<option value="<?php echo "procesado" ?>"<?php if ($filterfield == "procesado") { echo "selected"; } ?>><?php echo htmlspecialchars("Procesado") ?></option>
</select></td>
<td><input type="checkbox" name="wholeonly"<?php echo $checkstr ?>>Palabra Completa</td>
</td></tr>
<tr>
<td>&nbsp;</td>
<td><input type="submit" name="action" value="Aplicar Filtro"></td>
<td><a href="pago_inscripcion_regular.php?a=reset">Quitar Filtro</a></td>

</tr>
</table>
</form>
<hr size="1" noshade>
<?php showpagenav($page, $pagecount); ?>
<br>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td class="hr" align="center">Ver</td>
<td class="hr" align="center" >Editar</td>
<td class="hr" align="center">Borrar</td>
<td class="hr" align="center">Imprimir</td>
<td class="hr" align="center"><a class="hr" href="pago_inscripcion_regular.php?order=<?php echo "recibo_ulac" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Recibo") ?></a></td>
<td class="hr" align="center"><a class="hr" href="pago_inscripcion_regular.php?order=<?php echo "nro_comprobante" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Comprobante") ?></a></td>
<td class="hr" align="center"><a class="hr" href="pago_inscripcion_regular.php?order=<?php echo "concepto_pago" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Concepto") ?></a></td>
<td class="hr" align="center"><a class="hr" href="pago_inscripcion_regular.php?order=<?php echo "monto" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Monto") ?></a></td>
<td class="hr" align="center"><a class="hr" href="pago_inscripcion_regular.php?order=<?php echo "nombre_alumno" ?>&type=<?php echo $ordtypestr ?>"><?php echo htmlspecialchars("Participante") ?></a></td>
</tr>
<?php
  for ($i = $startrec; $i < $reccount; $i++)
  {
    $row = mysql_fetch_assoc($res);
    $style = "dr";
    if ($i % 2 != 0) {
      $style = "sr";
    }
?>
<tr>
<td class="<?php echo $style ?>" align="center"><a href="pago_inscripcion_regular.php?a=view&recid=<?php echo $i ?>"><img src="imagenes/search.gif" border="0" title="Ver Pago" alt="Ver Pago"></a></td>
<td class="<?php echo $style ?>" align="center"><a href="pago_inscripcion_regular.php?a=edit&recid=<?php echo $i ?>"><img src="imagenes/edit.gif" border="0" title="Modificar" alt="Modificar"></a></td>
<td class="<?php echo $style ?>" align="center"><a href="pago_inscripcion_regular.php?a=del&recid=<?php echo $i ?>" ><img src="imagenes/delete.png" border="0" title="Eliminar" alt="Eliminar"></a></td>
<td class="<?php echo $style ?>" align="center"><a href="modelo/class_pdf/recibo.php?comprobante=<?php echo $row["nro_comprobante"] ?>" target="_blank" ><img src="imagenes/printer.png" border="0" title="Imprimir Recibo" alt="Imprimir Recibo"></a></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["recibo_ulac"]) ?></td>
<td class="<?php echo $style ?>" align="center"><?php echo htmlspecialchars($row["nro_comprobante"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["concepto_pago"]) ?></td>
<td class="<?php echo $style ?>" align="right"><?php echo htmlspecialchars($row["monto"]) ?></td>
<td class="<?php echo $style ?>"><?php echo htmlspecialchars($row["nombre_alumno"]) ?></td>
</tr>
<?php
  }
  mysql_free_result($res);
?>
</table>
<br>
<?php } ?>

<?php function showrow($row, $recid)
  {
?>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">
<tr>
<td>Datos del Pago</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Comprobante")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nro_comprobante"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Banco")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["banco_usuario"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Pago")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars(join ("-",(array_reverse(split("-",$row["fecha_pago"]))))) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Concepto del Pago")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["concepto_pago"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Forma de Pago")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["forma_pago"]) ?></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Monto del Pago")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["monto"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Registro SADCE")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars(join ("-",(array_reverse(split("-",$row["fecha_registro"]))))) ?></td>
</tr>
<tr>
<td>Datos del Participante</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos y Nombres")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nombre_alumno"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Programa")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["carrera"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nombre_sede"]) ?></td>
</tr>
<tr>
<td>Datos de la Cuenta Receptora</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Banco")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["banco_receptor"]) ?></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Cuenta")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["cuenta_receptora"]) ?></td>
</tr>
<tr>
<td>Status del Pago</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Conformado")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["conformado"]) ?> </td>
</tr>
<td class="hr"><?php echo htmlspecialchars("Conformado por")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["nombre_conformador"]) ?> </td>
</tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Conformación")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars(join ("-",(array_reverse(split("-",$row["fecha_conformacion"]))))) ?> </td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Procesado")."&nbsp;" ?></td>
<td class="dr"><?php echo htmlspecialchars($row["procesado"]) ?></td>
</tr>
</table>
<?php } ?>

<?php function showroweditor($row, $iseditmode)
  {
  global $conn;
  
  $procesado=$row['procesado'];
  if ($procesado=="S") {
     $procesado="SI";
  }
  else { 
     $procesado="NO";
  }
  
  $conformado=$row['conformado'];
  if ($conformado=="S") {
     $conformado="SI";
  }
  else { 
     $conformado="NO";
  }
  
mysql_select_db($database_conn, $conn);
mysql_query ("SET NAMES 'utf8'");
$query_rstFormas = "SELECT formas_pago.codigo, formas_pago.forma_pago FROM formas_pago";
$rstFormas = mysql_query($query_rstFormas, $conn) or die(mysql_error());
$row_rstFormas = mysql_fetch_assoc($rstFormas);
$totalRows_rstFormas = mysql_num_rows($rstFormas);

$forma_pago=$row['forma_pago'];

$query_rstFormas1 = "SELECT formas_pago.codigo, formas_pago.forma_pago FROM formas_pago WHERE codigo='$forma_pago'";
$rstFormas1 = mysql_query($query_rstFormas1, $conn) or die(mysql_error());
$row_rstFormas1 = mysql_fetch_assoc($rstFormas1);
$totalRows_rstFormas1 = mysql_num_rows($rstFormas1);


$query_rstCarrera = "SELECT carreras.id_carrera, carreras.nombre_carrera FROM carreras";
$rstCarrera = mysql_query($query_rstCarrera, $conn) or die(mysql_error());
$row_rstCarrera = mysql_fetch_assoc($rstCarrera);
$totalRows_rstCarrera = mysql_num_rows($rstCarrera);

$id_carrera=$row['carrera'];

$query_rstCarrera1 = "SELECT carreras.id_carrera, carreras.nombre_carrera FROM carreras WHERE id_carrera='$id_carrera'";
$rstCarrera1 = mysql_query($query_rstCarrera1, $conn) or die(mysql_error());
$row_rstCarrera1 = mysql_fetch_assoc($rstCarrera1);
$totalRows_rstCarrera1 = mysql_num_rows($rstCarrera1);


$query_rstSede = "SELECT sedes.codigo, sedes.nombre_sede FROM sedes";
$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
$row_rstSede = mysql_fetch_assoc($rstSede);
$totalRows_rstSede = mysql_num_rows($rstSede);

$sede=$row['sede'];

$query_rstSede1 = "SELECT sedes.codigo, sedes.nombre_sede FROM sedes WHERE codigo='$sede'";
$rstSede1 = mysql_query($query_rstSede1, $conn) or die(mysql_error());
$row_rstSede1 = mysql_fetch_assoc($rstSede1);
$totalRows_rstSede1 = mysql_num_rows($rstSede1);


$query_rstAranceles = "SELECT aranceles.codigo, aranceles.descripcion FROM aranceles";
$rstAranceles = mysql_query($query_rstAranceles, $conn) or die(mysql_error());
$row_rstAranceles = mysql_fetch_assoc($rstAranceles);
$totalRows_rstAranceles = mysql_num_rows($rstAranceles);

$arancel=$row['concepto_pago'];

$query_rstAranceles1 = "SELECT aranceles.codigo, aranceles.descripcion FROM aranceles WHERE descripcion='$arancel'";
$rstAranceles1 = mysql_query($query_rstAranceles1, $conn) or die(mysql_error());
$row_rstAranceles1 = mysql_fetch_assoc($rstAranceles1);
$totalRows_rstAranceles1 = mysql_num_rows($rstAranceles1);



?>
<link href="modelo/calendario/calendar-win2k-cold-1.css" rel="stylesheet" type="text/css">
<script type="text/javascript" src="js/js_estilos.js"></script>
<script type="text/javascript" src="js/dinamica.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar-setup.js"></script>
<script type="text/javascript" src="modelo/calendario/calendar-en.js"></script>

<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="90%">
<tr>
<td colspan="2">Datos del Pago</td></tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Comprobante")."&nbsp;" ?></td>
<td class="dr"><input name="nro_comprobante" type="text" disabled="disabled" value="<?php echo str_replace('"', '&quot;', trim($row["nro_comprobante"])) ?>" size="30" maxlength="30"> </td>

</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Banco")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="banco_usuario" maxlength="30" value="<?php echo str_replace('"', '&quot;', trim($row["banco_usuario"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Pago")."&nbsp;" ?></td>
<td class="dr">
<input name="fecha_pago" type="text" size="10" maxlength="10" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)">&nbsp;&nbsp;(dd/mm/aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Concepto del Pago")."&nbsp;" ?></td>
<td class="dr">
<select name="codigo_pago">
  <option value="<?php echo $row_rstAranceles1['codigo']?>"><?php echo $row_rstAranceles1['descripcion']?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstAranceles['codigo']?>"><?php echo $row_rstAranceles['descripcion']?></option>
  <?php
} while ($row_rstAranceles = mysql_fetch_assoc($rstAranceles));
  $rows = mysql_num_rows($rstAranceles);
  if($rows > 0) {
      mysql_data_seek($rstAranceles, 0);
	  $row_rstAranceles = mysql_fetch_assoc($rstAranceles);
  }
?></select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Forma de Pago")."&nbsp;" ?></td>
<td class="dr">
<select name="forma_pago">
<option value="<?php echo $row_rstFormas1['codigo']?>"><?php echo $row_rstFormas1['forma_pago']?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstFormas['codigo']?>"><?php echo $row_rstFormas['forma_pago']?></option>
  <?php
} while ($row_rstFormas = mysql_fetch_assoc($rstFormas));
  $rows = mysql_num_rows($rstFormas);
  if($rows > 0) {
      mysql_data_seek($rstFormas, 0);
	  $row_rstFormas = mysql_fetch_assoc($rstFormas);
  }
?></select>
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Monto del Pago")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="monto" value="<?php echo str_replace('"', '&quot;', trim($row["monto"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Registro SADCE")."&nbsp;" ?></td>
<td class="dr"><input readonly="true"  name="fecha_registro" type="text" value="<?php echo str_replace('"', '&quot;', join ("-",(array_reverse(split("-",$row["fecha_registro"]))))) ?>" size="10" maxlength="10"></td>
</tr>
<tr>
<td >Datos del Participante</td></tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Apellidos y Nombres")."&nbsp;" ?></td>
<td class="dr"><input name="nombre_alumno" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nombre_alumno"])) ?>" size="30" maxlength="30"></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Sede")."&nbsp;" ?></td>
<td class="dr">
<select name="sede">
  <option value="<?php echo $row_rstSede1['codigo']?>"><?php echo $row_rstSede1['nombre_sede']?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstSede['codigo']?>"><?php echo $row_rstSede['nombre_sede']?></option>
  <?php
} while ($row_rstSede = mysql_fetch_assoc($rstSede));
  $rows = mysql_num_rows($rstSede);
  if($rows > 0) {
      mysql_data_seek($rstSede, 0);
	  $row_rstSede = mysql_fetch_assoc($rstSede);
  }
?></select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Programa")."&nbsp;" ?></td>
<td class="dr">
<select name="carrera">
  <option value="<?php echo $row_rstCarrera1['id_carrera']?>"><?php echo $row_rstCarrera1['nombre_carrera']?></option>
  <?php
do {  
?>
  <option value="<?php echo $row_rstCarrera['id_carrera']?>"><?php echo $row_rstCarrera['nombre_carrera']?></option>
  <?php
} while ($row_rstCarrera = mysql_fetch_assoc($rstCarrera));
  $rows = mysql_num_rows($rstCarrera);
  if($rows > 0) {
      mysql_data_seek($rstCarrera, 0);
	  $row_rstCarrera = mysql_fetch_assoc($rstCarrera);
  }
?></select>
</td>
</tr>
<tr>
<tr>
<td colspan="2">Datos de la Cuenta Receptora</td></tr>
<td class="hr"><?php echo htmlspecialchars("Banco")."&nbsp;" ?></td>
  <td class="dr"><input type="text" name="banco_receptor" maxlength="50" value="<?php echo str_replace('"', '&quot;', trim($row["banco_receptor"])) ?>"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Cuenta")."&nbsp;" ?></td>
<td class="dr"><input type="text" name="cuenta_receptora" maxlength="50" value="<?php echo str_replace('"', '&quot;', trim($row["cuenta_receptora"])) ?>"></td>
</tr>
<tr>
<td>Status del Pago</td></tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Conformado")."&nbsp;" ?></td>
<td class="dr">
<select name="conformado">
  <option value="<?php echo str_replace('"', '&quot;', trim($row["conformado"])) ?>"><?php echo $conformado; ?></option>
  <option value="S">SI</option>
  <option value="N">NO</option>
</select>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Conformado por")."&nbsp;" ?></td>
<td class="dr"><input name="nombre_conformador" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nombre_conformador"])) ?>" size="25" maxlength="25"></td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha de Conformación")."&nbsp;" ?></td>
<td class="dr">
<input name="fecha_conformacion" type="text" size="10" maxlength="10" value="<?php echo join ("-",(array_reverse(split("-",$row["fecha_conformacion"])))) ?>" readonly="true">		
	  <input type="image" id="cmdfechacon" src="imagenes/calendar.gif"></input>
      <span class="Estilo1">*</span>      
	  <script type="text/javascript">
				Calendar.setup({
				inputField    : "fecha_conformacion",
				ifFormat      : "%d-%m-%Y",
				button        : "cmdfechacon",
				align         : "Tr"
				});
	  </script>
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Procesado")."&nbsp;" ?></td>
<td class="dr">
<select  name="procesado">
  <option value="<?php echo str_replace('"', '&quot;', trim($row["procesado"])) ?>"><?php echo $procesado; ?></option>
</select>
</td>
</tr>
</table>
<?php } ?>

<?php function showrowadd($row, $iseditmode, $cedula_usuario, $matricula)
  {
  global $conn;
  
  global $id_sede;
  global $id_carrera;
  global $id_alumno;
  global $id_periodo;
  global $modulo;
  
  $conn=connect();

  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  
	$sql_ut = "SELECT `valor` FROM `unidad_tributaria`";
	$rst_ut = mysql_query($sql_ut, $conn) or die(mysql_error());
	$row_ut = mysql_fetch_assoc($rst_ut);
	$valor_ut=$row_ut['valor'];

	$query_rstAlumnos = "SELECT id_alumno,cedula,apellidos,nombres FROM alumnos where id_alumno='$id_alumno'";
	$rstAlumnos = mysql_query($query_rstAlumnos, $conn) or die(mysql_error());
	$totalRows_rstAlumnos = mysql_num_rows($rstAlumnos);

if($totalRows_rstAlumnos >0)
{
    $array_id = array();
	$array_alumno = array();
	$code=0;
	while($alumno = mysql_fetch_assoc($rstAlumnos))
		{
			$array_id[$code] = $alumno["id_alumno"];		
			$array_alumno[$code]=  $alumno["apellidos"].', '.$alumno["nombres"];	
			$code += 1;
		}
}
$query_rstCarrera = "SELECT nombre_carrera, costo_uc FROM carreras where id_carrera='$id_carrera'";
$rstCarrera = mysql_query($query_rstCarrera, $conn) or die(mysql_error());
$row_rstCarrera = mysql_fetch_assoc($rstCarrera);
$totalRows_rstCarrera = mysql_num_rows($rstCarrera);
$nombre_programa=$row_rstCarrera['nombre_carrera'];
$monto_pago=($row_rstCarrera['costo_uc']*$valor_ut)*$creditos;

$monto_pago=number_format($monto_pago,2, ".", "");

$query_rstSede = "SELECT sedes.codigo, sedes.nombre_sede FROM sedes where codigo='$id_sede'";
$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
$row_rstSede = mysql_fetch_assoc($rstSede);
$totalRows_rstSede = mysql_num_rows($rstSede);
$nombre_sede=$row_rstSede['nombre_sede'];

$query_rstFormas = "SELECT formas_pago.codigo, formas_pago.forma_pago FROM formas_pago";
$rstFormas = mysql_query($query_rstFormas, $conn) or die(mysql_error());
$row_rstFormas = mysql_fetch_assoc($rstFormas);
$totalRows_rstFormas = mysql_num_rows($rstFormas);


$query_user = "SELECT apellidos,nombres FROM usuarios Where cedula='$cedula_usuario'";
$rst_user = mysql_query($query_user, $conn) or die(mysql_error());
$row_rstUser= mysql_fetch_assoc($rst_user);
$totalRows_user = mysql_num_rows($rst_user);
$nombre_usuario= $row_rstUser['nombres']." ".$row_rstUser['apellidos'];

$queryBancos = "SELECT banco FROM bancos order by banco";
$rstBancos = mysql_query($queryBancos, $conn) or die(mysql_error());
$rowBancos = mysql_fetch_assoc($rstBancos);
$totalRowsBancos = mysql_num_rows($rstBancos);

$queryCuentas = "SELECT cuentas,banco FROM cuentas";
$rstCuentas = mysql_query($queryCuentas, $conn) or die(mysql_error());
$rowCuentas = mysql_fetch_assoc($rstCuentas);
$totalRowsCuentas = mysql_num_rows($rstCuentas);

$fecha1 = explode("-",date("Y-m-d")); 
$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
$fecha_hoy = cambioFecha($fecha2);   
?>

<script language="javascript">
document.onkeydown=function (evt) {return (evt ? evt.which : event.keyCode) != 13;}
</script>
<table class="tbl" border="0" cellspacing="1" cellpadding="5"width="100%">

<tr>
<td class="hr"><?php echo htmlspecialchars("Forma de Pago")."&nbsp;" ?></td>
<td class="dr">
<select name="forma_pago">
  <?php
do {  
?>
  <option value="<?php echo $row_rstFormas['codigo']?>"><?php echo $row_rstFormas['forma_pago']?></option>
  <?php
} while ($row_rstFormas = mysql_fetch_assoc($rstFormas));
  $rows = mysql_num_rows($rstFormas);
  if($rows > 0) {
      mysql_data_seek($rstFormas, 0);
	  $row_rstFormas = mysql_fetch_assoc($rstFormas);
  }
?>
</select>
</td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Comprobante")."&nbsp;" ?></td>
<td class="dr"><input name="nro_comprobante" type="text" value="<?php echo str_replace('"', '&quot;', trim($row["nro_comprobante"])) ?>" size="25" maxlength="30" onBlur="verificar_pago(this.value)"> <iframe name="framePago" id="framePago" with="0" height="0" frameborder="0"></iframe></td>
</tr>

<tr>
<td class="hr"><?php echo htmlspecialchars("Fecha del Pago")."&nbsp;" ?></td>
<td class="dr">
      <input name="fecha_pago" type="text" size="10" maxlength="10" onKeyUp="mascara(this,'-',patron,true)" onBlur="return esFechaValida(this.value)">&nbsp;&nbsp;(dd/mm/aaaa)
</td>
</tr>
<tr>
<td class="hr"><?php echo htmlspecialchars("Concepto del Pago")."&nbsp;" ?></td>
<td class="dr">
<select name="codigo_pago">
  <option value="01-02">PAGO DE INSCRIPCION</option>
</select>
</td>
</tr>


<tr>
<td class="hr"><?php echo htmlspecialchars("Monto del Pago")."&nbsp;" ?></td>
<td class="dr"><input name="monto" id="monto" type="text"  value="<?php echo str_replace('"', '&quot;', trim($row["monto"])) ?>" onKeyPress="return NumCheck(event, this)">&nbsp;&nbsp;(Para ingresar decimales utilice punto)</td>
</tr>


<tr>
<td class="hr"><?php echo htmlspecialchars("Número de Cuenta Receptora")."&nbsp;" ?></td>
<td class="dr">
<select name="cuenta_receptora">
  
  <?php
do {  
?>
  <option value="<?php echo $rowCuentas['cuentas']?>"><?php echo $rowCuentas['cuentas'].' -> '.$rowCuentas['banco']?></option>
  <?php
} while ($rowCuentas = mysql_fetch_assoc($rstCuentas));
  $rows = mysql_num_rows($rstCuentas);
  if($rows > 0) {
      mysql_data_seek($rstCuentas, 0);
	  $rowCuentas = mysql_fetch_assoc($rstCuentas);
  }
?>
</select>
</td>
</table>
<?php }
 ?>


<?php function showpagenav($page, $pagecount)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>

<?php if ($page > 1) { ?>
<td><a href="pago_inscripcion_regular.php?page=<?php echo $page - 1 ?>">&lt;&lt;&nbsp;Anterior</a>&nbsp;</td>
<?php } ?>
<?php
  global $pagerange;

  if ($pagecount > 1) {

  if ($pagecount % $pagerange != 0) {
    $rangecount = intval($pagecount / $pagerange) + 1;
  }
  else {
    $rangecount = intval($pagecount / $pagerange);
  }
  for ($i = 1; $i < $rangecount + 1; $i++) {
    $startpage = (($i - 1) * $pagerange) + 1;
    $count = min($i * $pagerange, $pagecount);

    if ((($page >= $startpage) && ($page <= ($i * $pagerange)))) {
      for ($j = $startpage; $j < $count + 1; $j++) {
        if ($j == $page) {
?>
<td><b><?php echo $j ?></b></td>
<?php } else { ?>
<td><a href="pago_inscripcion_regular.php?page=<?php echo $j ?>"><?php echo $j ?></a></td>
<?php } } } else { ?>
<td><a href="pago_inscripcion_regular.php?page=<?php echo $startpage ?>"><?php echo $startpage ."..." .$count ?></a></td>
<?php } } } ?>
<?php if ($page < $pagecount) { ?>
<td>&nbsp;<a href="pago_inscripcion_regular.php?page=<?php echo $page + 1 ?>">Siguiente&nbsp;&gt;&gt;</a>&nbsp;</td>
<?php } ?>
</tr>
</table>
<?php } ?>

<?php function showrecnav($a, $recid, $count)
{
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><a href="pago_inscripcion_regular.php">Regresar</a></td>
<?php if ($recid > 0) { ?>
<td><a href="pago_inscripcion_regular.php?a=<?php echo $a ?>&recid=<?php echo $recid - 1 ?>">Anterior</a></td>
<?php } if ($recid < $count - 1) { ?>
<td><a href="pago_inscripcion_regular.php?a=<?php echo $a ?>&recid=<?php echo $recid + 1 ?>">Siguiente</a></td>
<?php } ?>
</tr>
</table>
<hr size="1" noshade>
<?php } ?>

<?php function addrec($cedula_usuario)
{
  global $conn;
  
  global $id_sede;
  global $id_carrera;
  global $cedula;
  global $id_periodo;
  global $modulo;
  global $sf;
  global $beca;
  
  $conn=connect();
 
  mysql_select_db($database_conn, $conn);
  mysql_query ("SET NAMES 'utf8'");
  
	$sql_ut = "SELECT `valor` FROM `unidad_tributaria`";
	$rst_ut = mysql_query($sql_ut, $conn) or die(mysql_error());
	$row_ut = mysql_fetch_assoc($rst_ut);
	$valor_ut=$row_ut['valor'];

	$sqlAlumnos = "SELECT id_alumno,cedula,apellidos,nombres FROM alumnos where cedula='$cedula'";
	$rstAlumnos = mysql_query($sqlAlumnos, $conn) or die(mysql_error());
	$rowAlumno = mysql_fetch_assoc($rstAlumnos);
	$id_alumno=$rowAlumno['id_alumno'];
	$participante=$rowAlumno['apellidos'].', '.$rowAlumno['nombres'];
	
	$query_rstCarrera = "select nombre_carrera, costo_uc, costo_regular,tipo,inversion from carreras where id_carrera='$id_carrera'";
	$rstCarrera = mysql_query($query_rstCarrera, $conn) or die(mysql_error());
	$row_rstCarrera = mysql_fetch_assoc($rstCarrera);
	$totalRows_rstCarrera = mysql_num_rows($rstCarrera);
	$tipo=$row_rstCarrera['tipo'];
	$programa=$row_rstCarrera['nombre_carrera'];
	$costo_inscripcion=$row_rstCarrera['costo_regular'];
	$inversion=$row_rstCarrera['inversion'];
	$ut_por_uc=$row_rstCarrera['costo_uc'];
	
	// Determina el Valor del Semestre para el programa de acuerdo a las unidades crédito del
	// I semestre.
	
	
	// $query_rstMateria = "SELECT sum(uc) as creditos FROM materias where id_carrera='$id_carrera' and semestre='$modulo'";
	/*$query_rstMateria = "Select 
    sum(materias.uc) as creditos
    From
    materias
    Inner Join oferta_academica ON materias.id_carrera = oferta_academica.id_carrera AND     materias.id_materia = oferta_academica.id_materia
where oferta_academica.id_periodo='$id_periodo' and materias.id_carrera='$id_carrera' and oferta_academica.sede='$id_sede' and oferta_academica.semestre='$modulo'";*/
$query_rstMateria = "Select 
    creditos
    From
    creditos_semestre
    where id_carrera='$id_carrera' and semestre='$modulo'";
	$rstMateria = mysql_query($query_rstMateria, $conn) or die(mysql_error());
	$row_rstMateria = mysql_fetch_assoc($rstMateria);
	$totalRows_rstMateria = mysql_num_rows($rstMateria);
	$creditos_a_pagar=$row_rstMateria['creditos'];
	$valor_semestre=($creditos_a_pagar*$ut_por_uc)*$valor_ut;
	
	
	// $descuento=($valor_semestre*5)/100;
	// Si el programa es un Diplomado se calcula el valor del semestre como la inversion total del Diplomado.
	

	if($tipo=="00"){
	   $valor_semestre=$inversion;
	 }
	$monto_cuotas=$valor_semestre/3;
	
	if($beca==0){
	   $descuento=(($valor_semestre+$costo_inscripcion)*5)/100;
	 }
	 else{
	   $monto_beca=(($valor_semestre+$costo_inscripcion)*$beca)/100;
	 } 
	 
	$total_pagar=$costo_inscripcion;
	
	$query_rstSede = "SELECT sedes.codigo, sedes.nombre_sede FROM sedes where codigo='$id_sede'";
	$rstSede = mysql_query($query_rstSede, $conn) or die(mysql_error());
	$row_rstSede = mysql_fetch_assoc($rstSede);
	$totalRows_rstSede = mysql_num_rows($rstSede);
	$sede=$row_rstSede['nombre_sede'];

	$pago_por_cuotas=$costo_inscripcion+($valor_semestre-($sf+$monto_beca));
	$pago_unico=$costo_inscripcion+($valor_semestre-($sf+$descuento+$monto_beca));
?>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>
<td><b>PARTICIPANTE</b>: <?php echo utf8_decode($participante); ?>&nbsp;&nbsp;&nbsp;<b>C&Eacute;DULA</b>: <?php echo $cedula; ?>&nbsp;&nbsp;&nbsp;<b>SEDE</b>: <?php echo $sede; ?></td></tr>
<tr>
<td><b>PROGRAMA:</b> <?php echo $programa; ?></a></td>
</tr>
<tr>
      <td colspan="7" align="right" nowrap><div align="left"><span class="style2"><b>MATRICULA:</b> <font color="#FF0000"><?php echo number_format($costo_inscripcion,2,",","."); ?>&nbsp;Bs.</font>+&nbsp;<b>SEMESTRE:</b> <font color="#FF0000"><?php echo number_format($valor_semestre,2,",","."); ?>&nbsp;Bs.</font><b>-&nbsp;(SF:&nbsp </b> <font color="#FF0000"><?php echo number_format($sf,2,",","."); ?>&nbsp;Bs </font></font><b>+&nbsp;BECA:&nbsp </b> <font color="#FF0000"><?php echo number_format($monto_beca,2,",","."); ?>&nbsp;Bs.</font><b>)&nbsp;=&nbsp;TOTAL:&nbsp </b> <font color="#FF0000"><?php echo number_format($pago_por_cuotas,2,",","."); ?>&nbsp;Bs</span></div>
      </td>
</tr>
<tr>
      <td colspan="7" align="right" nowrap><div align="left"><span class="style2"><b>PAGO UNICO:&nbsp </b> <font color="#FF0000"><?php echo number_format($pago_unico,2,",","."); ?>&nbsp;Bs </font></span></div>
      <div align="right"></div>        
      <div align="left"></div></td>
</tr>

</table>

<hr size="1" noshade>
<form name="addPago" id="addPago" enctype="multipart/form-data" action="pago_inscripcion_regular.php?cedula=<?php echo $cedula ?>&id_sede=<?php echo $id_sede ?>&id_carrera=<?php echo $id_carrera ?>&modulo=<?php echo $modulo ?>&id_periodo=<?php echo $id_periodo ?>&beca=<?php echo $beca ?>" method="post" onSubmit="return validar_datos_pago(<?php echo $costo_inscripcion ?>)" >
<p><input type="hidden" name="sql" value="insert"></p>
<p><input type="hidden" name="matricula" value='<?php echo $costo_inscripcion ?>'></p>
<p><input type="hidden" name="pago_por_cuotas" value='<?php echo $pago_por_cuotas ?>'></p>
<p><input type="hidden" name="pago_unico" value='<?php echo $pago_unico ?>'></p>

<?php
$row = array(
  "nro_comprobante" => "",
  "banco_usuario" => "",
  "fecha_pago" => "",
  "codigo_pago" => "",
  "concepto_pago" => "",
  "monto" => "",
  "fecha_registro" => "",
  "id_alumno" => "",
  "nombre_alumno" => "",
  "sede" => "",
  "nombre_sede" => "",
  "carrera" => "",
  "forma_pago" => "",
  "banco_receptor" => "",
  "cuenta_receptora" => "",
  "conformado" => "",
  "nombre_conformador" => "",
  "fecha_conformacion" => "",
  "procesado" => "");
showrowadd($row, false,$cedula_usuario,$costo_inscripcion);
?>
<p><input type="submit" name="action" value="Guardar"></p>
</form>
<?php } ?>

<?php function viewrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  showrecnav("view", $recid, $count);
?>
<br>
<?php showrow($row, $recid) ?>
<br>
<hr size="1" noshade>
<table class="bd" border="0" cellspacing="1" cellpadding="4">
<tr>

<td><a href="pago_inscripcion_regular.php?a=edit&recid=<?php echo $recid ?>">Editar</a></td>
<td><a href="pago_inscripcion_regular.php?a=del&recid=<?php echo $recid ?>">Borrar</a></td>
</tr>
</table>
<?php
  mysql_free_result($res);
} ?>

<?php function editrec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  
  $compro=$row["nro_comprobante"];
  if ($row["conformado"]=="S")
    {
	?>
	  <script type="text/javascript">
	    msj="Comprobante Nro. "+'<<<?php echo $row["nro_comprobante"]; ?>>>'+" no se puede modificar. Ya fue conformado."
	 	alert(msj);	
	 </script>
	 <?php 
	 select();
	 }
	 else
  {
  
  
	  showrecnav("edit", $recid, $count);
	?>
	<br>
	<form enctype="multipart/form-data" action="pago_inscripcion_regular.php" method="post">
	<input type="hidden" name="sql" value="update">
	<input type="hidden" name="xnro_comprobante" value="<?php echo $row["nro_comprobante"] ?>">
	<?php showroweditor($row, true); ?>
	<p><input type="submit" name="action" value="Guardar Cambios"></p>
	</form>
	<?php
 }	
  mysql_free_result($res);
} ?>

<?php function deleterec($recid)
{
  $res = sql_select();
  $count = sql_getrecordcount();
  mysql_data_seek($res, $recid);
  $row = mysql_fetch_assoc($res);
  
  $compro=$row["nro_comprobante"];
  if ($row["conformado"]=="S")
    {
	?>
	  <script type="text/javascript">
	    msj="Comprobante Nro. "+'<<<?php echo $row["nro_comprobante"]; ?>>>'+" no se puede borrar. Ya fue conformado."
	 	alert(msj);	
	 </script>
	 <?php 
	 select();
	 }
	 else
  {
     showrecnav("del", $recid, $count);
?>
      <br>
      <form action="pago_inscripcion_regular.php" method="post">
      <input type="hidden" name="sql" value="delete">
      <input type="hidden" name="xnro_comprobante" value="<?php echo $row["nro_comprobante"] ?>">
      <?php showrow($row, $recid) ?>
      <p><input type="submit" name="action" value="Confirmar"></p>
     </form>
<?php
  }
  mysql_free_result($res);
} ?>

<?php function connect()
{
  $conn = mysql_connect("localhost", "ceula_sadce_admi", "j7BnJdCGzyQBGcud");
  mysql_select_db("ceulac_sadce");
  mysql_query ("SET NAMES 'utf8'");
  return $conn;
}


function sqlvalue($val, $quote)
{
  if ($quote)
    $tmp = sqlstr($val);
  else
    $tmp = $val;
  if ($tmp == "")
    $tmp = "NULL";
  elseif ($quote)
    $tmp = "'".$tmp."'";
  return $tmp;
}

function sqlstr($val)
{
  return str_replace("'", "''", $val);
}

function sql_select()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT `nro_comprobante`, `banco_usuario`, `fecha_pago`, `concepto_pago`, `monto`, `fecha_registro`, `id_alumno`, `nombre_alumno`, `sede`, `nombre_sede`, `carrera`, `forma_pago`, `banco_receptor`, `cuenta_receptora`, `conformado`, `nombre_conformador`, `fecha_conformacion`, `procesado`, `recibo_ulac` FROM `pagos`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`nro_comprobante` like '" .$filterstr ."') or (`concepto_pago` like '" .$filterstr ."') or (`monto` like '" .$filterstr ."') or (`nombre_alumno` like '" .$filterstr ."') or (`nombre_sede` like '" .$filterstr ."') or (`conformado` like '" .$filterstr ."') or (`procesado` like '" .$filterstr ."')";
  }
  if (isset($order) && $order!='') $sql .= " order by `" .sqlstr($order) ."`";
  if (isset($ordtype) && $ordtype!='') $sql .= " " .sqlstr($ordtype);
  $res = mysql_query($sql, $conn) or die(mysql_error());
  return $res;
}

function sql_getrecordcount()
{
  global $conn;
  global $order;
  global $ordtype;
  global $filter;
  global $filterfield;
  global $wholeonly;

  $filterstr = sqlstr($filter);
  if (!$wholeonly && isset($wholeonly) && $filterstr!='') $filterstr = "%" .$filterstr ."%";
  $sql = "SELECT COUNT(*) FROM `pagos`";
  if (isset($filterstr) && $filterstr!='' && isset($filterfield) && $filterfield!='') {
    $sql .= " where " .sqlstr($filterfield) ." like '" .$filterstr ."'";
  } elseif (isset($filterstr) && $filterstr!='') {
    $sql .= " where (`nro_comprobante` like '" .$filterstr ."') or (`concepto_pago` like '" .$filterstr ."') or (`monto` like '" .$filterstr ."') or (`nombre_alumno` like '" .$filterstr ."') or (`nombre_sede` like '" .$filterstr ."') or (`conformado` like '" .$filterstr ."') or (`procesado` like '" .$filterstr ."')";
  }
  $res = mysql_query($sql, $conn) or die(mysql_error());
  $row = mysql_fetch_assoc($res);
  reset($row);
  return current($row);
}

function sql_insert($matricula, $pago_por_cuotas, $pago_unico)
{
  global $_POST;
  global $conn;
  global $id_alumno;
  global $id_sede;
  global $id_carrera;
  global $id_periodo;
  global $modulo;
  global $sede_usuario;
  global $cedula_usuario;
  
  if($modulo=='1'){
     $modulo_romano="I";
   }
  if($modulo=='2'){
     $modulo_romano="II";
   }
  if($modulo=='3'){
     $modulo_romano="III";
   }
  if($modulo=='4'){
     $modulo_romano="IV";
   }
  if($modulo=='5'){
     $modulo_romano="V";
   }
  if($modulo=='6'){
     $modulo_romano="VI";
   }
   	   
  $conn=connect();
 
  mysql_select_db($database_conn, $conn);
  

	$query_rstMateria = "SELECT sum(uc) as creditos FROM materias where id_carrera='$id_carrera' and semestre='$modulo'";
	$rstMateria = mysql_query($query_rstMateria, $conn) or die(mysql_error());
	$row_rstMateria = mysql_fetch_assoc($rstMateria);
	$totalRows_rstMateria = mysql_num_rows($rstMateria);
	$creditos_modulo=$row_rstMateria['creditos'];
  
	$fecha1 = explode("-",date("Y-m-d")); 
	$fecha2 = $fecha1[0].$fecha1[1].$fecha1[2]; 
	$fecha_hoy = cambioFecha($fecha2);   
	
	// Datos del funcionario que registra el pago.
	$query_user = "SELECT apellidos,nombres FROM usuarios Where cedula='$cedula_usuario'";
	$rst_user = mysql_query($query_user, $conn) or die(mysql_error());
	$row_rstUser= mysql_fetch_assoc($rst_user);
	$totalRows_user = mysql_num_rows($rst_user);
	$nombre_usuario= $row_rstUser['nombres']." ".$row_rstUser['apellidos'];
	
	
	// Busca el valor actual de la Unidad Tributaria.
	$sqlUnidad = "SELECT valor FROM unidad_tributaria";
	$rstUnidad = mysql_query($sqlUnidad, $conn) or die(mysql_error());
	$rowUnidad = mysql_fetch_assoc($rstUnidad);
	$valor_ut=$rowUnidad["valor"];
	
	$sqlPeriodos = "SELECT codigo FROM periodos Where id_periodo='$id_periodo'";
	$rstPeriodos = mysql_query($sqlPeriodos, $conn) or die(mysql_error());
	$rowPeriodo = mysql_fetch_assoc($rstPeriodos);
	$periodo=$rowPeriodo["codigo"];
	
	$sqlPrograma = "SELECT nombre_carrera, tipo, inversion, costo_inscripcion, costo_uc, costo_regular FROM carreras Where id_carrera='$id_carrera'";
	$rstPrograma = mysql_query($sqlPrograma, $conn) or die(mysql_error());
	$rowPrograma = mysql_fetch_assoc($rstPrograma);
	$costo_uc=$rowPrograma["costo_uc"];
	$nombre_carrera=$rowPrograma["nombre_carrera"];
	$tipo_carrera=$rowPrograma["tipo"];
	// Costo Total del Programa en Bs.
	$inversion=$rowPrograma["inversion"];
    // Monto la inscripcion para alumnos regulares.
	$costo_inscripcion=$rowPrograma["costo_regular"];
	// Abona a la deuda que trae pago_por_cuotas
	$abono_deuda=0;
	$abono_deuda=@$_POST["monto"];
	$monto_pago=@$_POST["monto"];
	
	$cuota1=0;
	$cuota2=0;
	$cuota3=0;
	$saldo_a_favor=0;
	// Determina la deuda definitiva del semestre.	
	if($monto_pago>=$pago_unico){
	   // Determina si hubo un pago mayor al pago único.
	   $valor_semestre=$pago_unico-$matricula;
	   $saldo_semestre=0;
	   
	   $saldo_a_favor=$monto_pago-$pago_unico;
	   
	}
	else{   
	   // Monto del pago fue menor que el pago único.
	   $valor_semestre=$pago_por_cuotas-$matricula;
	   $saldo_semestre=$pago_por_cuotas-$monto_pago;
	   $monto_cuota1=$pago_por_cuotas*0.33;
	   $monto_cuota2=$pago_por_cuotas*0.33;
	   $monto_cuota3=$pago_por_cuotas*0.34;
	   $diferencia=0;
       if($saldo_semestre>0){
		  $cuota1=number_format($monto_cuota1,2,'.','');
		  $cuota2=number_format($monto_cuota2,2,'.','');
		  $cuota3=number_format($monto_cuota3,2,'.','');
		
		  $total_cuotas=0;
	      $total_cuotas=$cuota1+$cuota2+$cuota3;
          $diferencia=$valor_semestre-$total_cuotas;
	      $diferencia=number_format($diferencia,2);
	   }
	   if($diferencia>0){
	      $cuota3=$cuota3+$diferencia;
	   }
	   // Determina si el alumno pago mas del valor del semestre.
	      $abono_cuotas=$monto_pago-$matricula;
	      if($monto_pago<=$cuota1){
	         $cuota1=$cuota1-$abono_cuotas;
	         $abono_cuotas=0;}
	      else{
	         $abono_cuotas=$abono_cuotas-$cuota1;
		     $cuota1=0;
	      }
	      if($abono_cuotas<=$cuota2){
	         $cuota2=$cuota2-$abono_cuotas;
	         $abono_cuotas=0;}
	      else{
	         $abono_cuotas=$abono_cuotas-$cuota2;
		     $cuota2=0;
	      }
	      if($abono_cuotas<=$cuota3){
	         $cuota3=$cuota3-$abono_cuotas;
	         $abono_cuotas=0;}
	      else{
	         $abono_cuotas=$abono_cuotas-$cuota3;
		     $cuota3=0;
	      }
	}   
	
	 
	$cod_pago='01-02';
	$concepto_pago="Inscripción en Lapso ".$periodo.' (Semestre '.$modulo_romano.')';
    $procesado='N';
    $conformado="S";
	
	$sqlAlumnos = "SELECT apellidos, nombres, cedula FROM alumnos Where id_alumno='$id_alumno'";
	$rstAlumnos = mysql_query($sqlAlumnos, $conn) or die(mysql_error());
	$rowAlumnos = mysql_fetch_assoc($rstAlumnos);
	$nom_alumno=$rowAlumnos["apellidos"].', '.$rowAlumnos["nombres"];
	$ced_alumno4=$rowAlumnos["cedula"];
	
	$query_rstSede1 = "SELECT sedes.nombre_sede FROM sedes Where codigo='$id_sede'";
	$rstSede1 = mysql_query($query_rstSede1, $conn) or die(mysql_error());
	$row_rstSede1 = mysql_fetch_assoc($rstSede1);
	$totalRows_rstSede1 = mysql_num_rows($rstSede1);
	$nom_sede=$row_rstSede1["nombre_sede"];
	 
	$fecha_registro=join ("-",(array_reverse(split("-",$fecha_hoy))));
	$fecha_pago=join ("-",(array_reverse(split("-",@$_POST["fecha_pago"]))));
	$fecha_conformacion=join ("-",(array_reverse(split("-",@$_POST["fecha_conformacion"]))));
	
	// Tomo el numero de recibo
	$query_recibo = "SELECT numero FROM recibos where sede='$sede_usuario'";
	$rstRecibo = mysql_query($query_recibo, $conn) or die(mysql_error());
	$rowRecibo = mysql_fetch_assoc($rstRecibo);
	
	$num_recibo=$rowRecibo["numero"];
	
	$num_recibo++;
	$nro_comprobante=$_POST["nro_comprobante"];
  	$sql = "insert into `pagos` (`cedula`,`nro_comprobante`,`fecha_pago`, `codigo_pago`,`concepto_pago`, `monto`, `fecha_registro`, `id_alumno`, `nombre_alumno`, `sede`, `nombre_sede`, `carrera`, `forma_pago`, `banco_receptor`, `cuenta_receptora`, `conformado`,`nombre_conformador` ,`fecha_conformacion`, `procesado`, `recibo_ulac`,`id_periodo`,`modulo`) values ('$ced_alumno4'," .sqlvalue(@$_POST["nro_comprobante"], true).",'$fecha_pago', '$cod_pago', '$concepto_pago', " .sqlvalue(@$_POST["monto"], false).", '$fecha_registro', '$id_alumno', '$nom_alumno', '$id_sede', '$nom_sede', '$id_carrera', " .sqlvalue(@$_POST["forma_pago"], false).", " .sqlvalue(@$_POST["banco_receptor"], true).", " .sqlvalue(@$_POST["cuenta_receptora"], true).", '$conformado', '$nombre_usuario', '$fecha_registro', '$procesado','$num_recibo','$id_periodo','$modulo')";
   
  	mysql_query($sql, $conn) or die(mysql_error());
  
  	// Actualizo el numero de Recibo en el archivo Recibos.
  	$sqlEditRecibo="UPDATE recibos SET numero='$num_recibo' where sede='$sede_usuario'" ;

  	$rsEditRecibo = mysql_query($sqlEditRecibo, $conn) or die(mysql_error());	
  
  // Actualizó la deuda del alumno.
      
	  $sqlEditDeuda="UPDATE deudas SET cuota1='$cuota1',cuota2='$cuota2',cuota3='$cuota3',saldo_favor='$saldo_a_favor' WHERE id_carrera='$id_carrera' AND id_sede='$id_sede' AND id_alumno='$id_alumno'";
	
	  $rsEditDeuda = mysql_query($sqlEditDeuda, $conn) or die(mysql_error());
		
	  // Incluye el pago como movimiento del alumno.
	  $tipo="MA";
	  $subtipo="01-02";
	  $referencia=@$_POST["nro_comprobante"].'-A';
	  $concepto_pago="Cargo por Matrícula (Lapso: ".$periodo.')';
	  $sqlAddMov="INSERT INTO movimientos (tipo,subtipo,referencia,id_alumno, sede, id_carrera, concepto, monto, fecha,id_periodo) VALUES('$tipo','$subtipo','$referencia','$id_alumno','$id_sede','$id_carrera','$concepto_pago','$matricula','$fecha_pago','$id_periodo')";
	  $rsAddMov = mysql_query($sqlAddMov, $conn) or die(mysql_error());
	  
	  // Incluye el pago como movimiento del alumno.
	  $tipo="IN";
	  $subtipo="02-02";
	  $concepto_pago="Cargo por Inscripción de ".$creditos_modulo.' U.C. (Lapso: '.$periodo.')';
	  $referencia=@$_POST["nro_comprobante"].'-B';
	  $sqlAddMov="INSERT INTO movimientos (tipo,subtipo,referencia,id_alumno, sede, id_carrera, concepto, monto, fecha,id_periodo) VALUES('$tipo','$subtipo','$referencia','$id_alumno','$id_sede','$id_carrera','$concepto_pago','$valor_semestre', '$fecha_pago','$id_periodo')";
	  $rsAddMov = mysql_query($sqlAddMov, $conn) or die(mysql_error());
	  
	  if($abono_deuda>0){
		  $tipo="AB";
		  $subtipo="04-01";
		  $concepto="Abono a Deuda Lapso: ".$periodo;
		  $referencia=@$_POST["nro_comprobante"].'-C';
		  $sqlAddMov="insert into movimientos (tipo,subtipo,referencia,id_alumno, sede, id_carrera, concepto, monto, fecha,id_periodo) values('$tipo','$subtipo','$referencia','$id_alumno','$id_sede','$id_carrera', '$concepto', '$abono_deuda', '$fecha_pago', '$id_periodo')";
		  $rsAddMov = mysql_query($sqlAddMov, $conn) or die(mysql_error());
	  }

	  //Imprime el Recibo de Pago.
	  ?>
	  <script type="text/javascript">  
		  url="modelo/class_pdf/recibo.php?comprobante="+'<?php echo $nro_comprobante; ?>';
		  window.open(url);
		  url="pagar_inscripcion_regulares.php?a=reset" ;
		  window.open(url,'contenido');
	  </script>
	  <?php
}

function sql_update()
{
  global $conn;
  global $_POST;
  
$cod_pago=@$_POST["codigo_pago"];
$query_rstAranceles1 = "SELECT aranceles.descripcion FROM aranceles Where codigo='$cod_pago'";
$rstAranceles1 = mysql_query($query_rstAranceles1, $conn) or die(mysql_error());
$row_rstAranceles1 = mysql_fetch_assoc($rstAranceles1);
$totalRows_rstAranceles1 = mysql_num_rows($rstAranceles1);
$concepto_pago=$row_rstAranceles1["descripcion"];

if ($cod_pago=="01-01")
 {
    $concepto_pago="Inscripción";
  }
if ($cod_pago=="02-01")
 {
    $concepto_pago="Abono a Matrícula";
  }

$id_alumno=@$_POST["id_alumno"];
$query_rstAlumnos1 = "SELECT concat( alumnos.apellidos,' ', alumnos.nombres) As alumno FROM alumnos Where Id_alumno='$id_alumno'";
$rstAlumnos1 = mysql_query($query_rstAlumnos1, $conn) or die(mysql_error());
$row_rstAlumnos1 = mysql_fetch_assoc($rstAlumnos1);
$totalRows_rstAlumnos1 = mysql_num_rows($rstAlumnos1);
$nom_alumno=$row_rstAlumnos1["alumno"];

$id_sede=@$_POST["sede"];
mysql_select_db($database_conn, $conn);
$query_rstSede1 = "SELECT sedes.nombre_sede FROM sedes Where codigo='$id_sede'";
$rstSede1 = mysql_query($query_rstSede1, $conn) or die(mysql_error());
$row_rstSede1 = mysql_fetch_assoc($rstSede1);
$totalRows_rstSede1 = mysql_num_rows($rstSede1);
$nom_sede=$row_rstSede1["nombre_sede"];

$fecha_pago=join ("-",(array_reverse(split("-",@$_POST["fecha_pago"]))));
$fecha_conformacion=join ("-",(array_reverse(split("-",@$_POST["fecha_conformacion"]))));
$sql = "update `pagos` set `banco_usuario`=" .sqlvalue(@$_POST["banco_usuario"], true).", `fecha_pago`='$fecha_pago', `concepto_pago`='$concepto_pago', `monto`=" .sqlvalue(@$_POST["monto"], false).", `id_alumno`=" .sqlvalue(@$_POST["id_alumno"], false).", `nombre_alumno`='$nom_alumno', `sede`=" .sqlvalue(@$_POST["sede"], true).", `nombre_sede`='$nom_sede', `carrera`=" .sqlvalue(@$_POST["carrera"], true).", `forma_pago`=" .sqlvalue(@$_POST["forma_pago"], false).", `banco_receptor`=" .sqlvalue(@$_POST["banco_receptor"], true).", `cuenta_receptora`=" .sqlvalue(@$_POST["cuenta_receptora"], true).", `conformado`=" .sqlvalue(@$_POST["conformado"], true).", `nombre_conformador`=" .sqlvalue(@$_POST["nombre_conformador"], true).", `fecha_conformacion`=" .sqlvalue(@$_POST["fecha_conformacion"], true).", `procesado`=" .sqlvalue(@$_POST["procesado"], true) ." where " .primarykeycondition();
mysql_query($sql, $conn) or die(mysql_error());
}

function sql_delete()
{
  global $conn;

  $sql = "delete from `pagos` where " .primarykeycondition();
  mysql_query($sql, $conn) or die(mysql_error());
}
function primarykeycondition()
{
  global $_POST;
  $pk = "";
  $pk .= "(`nro_comprobante`";
  if (@$_POST["xnro_comprobante"] == "") {
    $pk .= " IS NULL";
  }else{
  $pk .= " = " .sqlvalue(@$_POST["xnro_comprobante"], true);
  };
  $pk .= ")";
  return $pk;
}

function cambioFecha($fecha){ //$fecha es de este formato --> ej: 20081229 
	$tieneCeroDiaMes = substr($fecha,6,1); 
	if ($tieneCeroDiaMes == 0) { 
		$diaMes = substr($fecha,7,1); 
	} else { 
		$diaMes = substr($fecha,6,2); 
	} 
	
	$Mes = substr($fecha,4,2); 
	
	
	$Anio = substr($fecha,0,4); 
	return $diaMes."-".$Mes."-".$Anio.""; 
	}     



 ?>

<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
	function validar_datos_pago(matricula)
	{
	 	if(document.addPago.nro_comprobante.value==""){
			alert("El campo <<Número de Comprobante>> es obligatorio");
			document.addPago.nro_comprobante.focus();
			return false;
			}
		if(document.addPago.fecha_pago.value==""){
			alert("El campo <<Fecha del Pago>> es obligatorio");
			document.addPago.fecha_pago.focus();
			return false;
			}	
		if(document.addPago.monto.value==""){
			alert("El campo <<Monto del Pago>> es obligatorio");
			document.addPago.monto.focus();
			return false;
			}
         if(document.addPago.codigo_pago.value==0){
			alert("El campo <<Concepto de Pago>> es obligatorio");
			document.addPago.codigo_pago.focus();
			return false;
			}
       if(document.addPago.forma_pago.value==0){
			alert("El campo <<Forma de Pago>> es obligatorio");
			document.addPago.forma_pago.focus();
			return false;
			}
		if(document.addPago.monto.value<matricula){
			alert("El <<Monto del Pago>> debe ser mayor o igual al valor de la matrícula");
			document.addPago.monto.focus();
			return false;
			}	
		return true;	
	}

function verificar_pago(comprobante)
{
 	if (comprobante!="")
	 {
	 url="validar_pago.php?comprobante="+comprobante;
	 framePago.location=url;
	 }
}
</script>


<script type="text/javascript">
function NumCheck(e, field) {
  key = e.keyCode ? e.keyCode : e.which

  // backspace
  if (key == 8) return true
  
  // 0-9
  if (key >= 48 && key <= 57) {

    if (field.value == "") return true
    
    regexp = /...[0-9]{2}$/
    return !(regexp.test(field.value))
  }

  // ,
  if (key == 46) {
  
    if (field.value == "") return false
    
    regexp = /^[0-9]+$/
    return regexp.test(field.value)
  }
  
  // other key
  return false

}

</script>

<script>
function esFechaValida(fecha){
    if (fecha != undefined && fecha != "" ){
       
    	var dia  =  parseInt(fecha.substring(0,2),10);
		var mes  =  parseInt(fecha.substring(3,5),10);
		var anio =  parseInt(fecha.substring(6,10),10);
	
		if (isNaN(dia) || isNaN(mes) || isNaN(anio)) {
		   alert("Formato de fecha no v�lido");
		   document.addAlumno.fechanac.focus();
       return false;
	 }
	
    switch(mes){
        case 1:
			numDias=31;
            break;
        case 3:
			numDias=31;
            break;
        case 5:
			numDias=31;
            break;
        case 7:
			numDias=31;
            break;
        case 8: 
			numDias=31;
            break;
        case 10:
			numDias=31;
            break;
        case 12:
            numDias=31;
            break;
        case 4: case 6: case 9: case 11:
            numDias=30;
            break;
        case 2:
           if (comprobarSiBisisesto(anio)){ numDias=29 }else{ numDias=28};
            break;
        default:
            alert("Error en fecha introducida (Mes Inv�lido)");
			document.addAlumno.fechanac.focus();
            return false;
    }
 
        if (dia>numDias || dia==0){
            alert("Error en fecha introducida (D�a Inv�lido)");
            document.addAlumno.fechanac.focus();
			return false;
        }
        return true;
    }
}
 
function comprobarSiBisisesto(anio){
if ( ( anio % 100 != 0) && ((anio % 4 == 0) || (anio % 400 == 0))) {
    return true;
    }
else {
    return false;
    }
}
</script>

<script type="text/javascript">
var patron = new Array(2,2,4)
var patron1= new Array(1,2)
var patron2 = new Array(1,3,3,3,3)
function mascara(d,sep,pat,nums){
if(d.valant != d.value){
	val = d.value
	largo = val.length
	val = val.split(sep)
	val2 = ''
	for(r=0;r<val.length;r++){
		val2 += val[r]	
	}
	if(nums){
		for(z=0;z<val2.length;z++){
			if(isNaN(val2.charAt(z))){
				letra = new RegExp(val2.charAt(z),"g")
				val2 = val2.replace(letra,"")
			}
		}
	}
	val = ''
	val3 = new Array()
	for(s=0; s<pat.length; s++){
		val3[s] = val2.substring(0,pat[s])
		val2 = val2.substr(pat[s])
	}
	for(q=0;q<val3.length; q++){
		if(q ==0){
			val = val3[q]
		}
		else{
			if(val3[q] != ""){
				val += sep + val3[q]
				}
		}
	}
	d.value = val
	d.valant = val
	}
}
</script>




